import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const testListResponse of client.tests.list()) {
console.log(testListResponse.id);
}import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
page = client.tests.list()
page = page.data[0]
print(page.id)curl --request GET \
--url https://api.avidoai.com/v0/tests \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"applicationId": "<string>",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"status": "COMPLETED",
"evals": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"status": "COMPLETED",
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"type": "NATURALNESS",
"name": "<string>",
"globalConfig": {
"criterion": "<string>"
},
"styleGuideId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"type": "CHATBOT",
"environment": "DEV",
"humanAnnotationEnabled": false,
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
},
"topics": [
"456e4567-e89b-12d3-a456-426614174000"
]
},
"results": {
"coherence": 3,
"engagingness": 3,
"naturalness": 3,
"relevance": 3,
"clarity": 3,
"analysis": "<string>"
},
"score": 0.9,
"passed": true,
"message": "<string>"
}
],
"taskId": "123e4567-e89b-12d3-a456-426614174000",
"runId": "123e4567-e89b-12d3-a456-426614174000",
"traceId": "123e4567-e89b-12d3-a456-426614174000",
"task": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": "Credit Card Block",
"topicId": "789e4567-e89b-12d3-a456-426614174000"
},
"runType": "MANUAL",
"result": {
"passed": 4503599627370495,
"failed": 4503599627370495,
"total": 4503599627370495,
"passRate": 50,
"averageScore": 0.5
}
}
],
"pagination": {
"skip": 0,
"limit": 25,
"total": 100,
"totalPages": 4,
"totalCount": 100
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}List tests
Retrieves a paginated list of tests with optional filtering.
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const testListResponse of client.tests.list()) {
console.log(testListResponse.id);
}import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
page = client.tests.list()
page = page.data[0]
print(page.id)Authorizations
Your unique Avido API key
Your unique Avido Application ID
Query Parameters
Number of items to skip before starting to collect the result set.
0 <= x <= 90071992547409910
Number of items to include in the result set.
1 <= x <= 10025
Field to order the result set by.
createdAt, modifiedAt, status, id "createdAt"
Order direction.
asc, desc "desc"
Filter by test status (e.g. COMPLETED, FAILED)
Status of the evaluation/test
PENDING, IN_PROGRESS, COMPLETED, FAILED ["COMPLETED", "FAILED"]
Filter eval runs after this date (inclusive).
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2024-01-01T00:00:00.000Z"
Filter eval runs before this date (inclusive).
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2024-12-31T23:59:59.999Z"
Filter by pass rate status badges (success: >75%, warning: 51-75%, error: ≤50%)
success, warning, error ["success", "warning"]
Filter tests by eval definition ID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"123e4567-e89b-12d3-a456-426614174000"
Filter tests by experiment variant ID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"123e4567-e89b-12d3-a456-426614174000"
Filter tests by run type (MANUAL, SCHEDULED, EXPERIMENT)
MANUAL, SCHEDULED, EXPERIMENT, MONITORING ["MANUAL", "SCHEDULED"]
Filter tests by task ID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$["123e4567-e89b-12d3-a456-426614174000"]
Filter tests by the associated task's tag IDs. Use 'none' to filter for tests with untagged tasks.
100["123e4567-e89b-12d3-a456-426614174000"]